Default selected value for provided packages

Asked by Yushan Zhang on 2018-03-07

I tried `auto-apt run cmake .` with some projects, all good but sometimes a selection requirement prompt for me to choose one package, like this:

File /usr/lib/x86_64-linux-gnu/perl5/5.22/Class/Struct.pmc may be provided by the following packages
 0) universe/perl/libclass-c3-xs-perl
 1) universe/perl/libclass-xsaccessor-perl
 2) universe/perl/libclass-methodmaker-perl
 3) universe/perl/libmoose-perl
 4) universe/perl/libclass-load-xs-perl
 5) universe/perl/libclass-date-perl
Which package do you want to install? [0-5n]

There is only `-y` for yes requirement but no arguments for this kind of selection. Is there any arguments that I missed? Thanks in advance.

Question information

English Edit question
Ubuntu auto-apt Edit question
No assignee Edit question
Last query:
Last reply:
Yushan Zhang (zhangysh1995) said : #1

Just want to know if there is anyone who knows answer to my question, thank you.

Can you help with this problem?

Provide an answer of your own, or ask Yushan Zhang for more information if necessary.

To post a message you must log in.